Subject: bug#36525: M-x default when cursor on top of a M-x command in INFO

From: Juri Linkov <[email-masked]>
Date: Tue, 09 Jul 2019 23:09:01 +0300

>> > I will point out that `M-.' is a repeatable
>> > key.  And a repeatable key is good for a
>> > command that is repeatable, such as doing
>> > something to/with consecutive bits of text
>> > (e.g. "things") from a buffer.
>>
>> A keybinding doesn't need to be a single key
>> to be repeatable.  ‘C-x e e e’ is repeatable.
>
> Agreed 100%.  In general, I put most of my
> repeatable keys on a prefix key.
>
> I don't argue that a key sequence to grab
> stuff from the buffer and insert it into the
> minibuffer needs to be a single key.

Then a key sequence like ‘C-x M-. M-. M-.’
could be used to copy text from the buffer
to the minibuffer.  And then why not let it
be copied to any buffer, not just the minibuffer.
For instance, select the active region in one buffer,
switch to another window, and pull text from the region
in other window - without adding it to the kill-ring.